#
# See the file "LICENSE" for the full license governing this code.
#

require 'easy_type'
require 'puppet_x/enterprisemodules/mq/commands'

Puppet::Type.type(:mq_subscription).provide(:simple) do
  include EasyType::Provider
  include PuppetX::EnterpriseModules::Mq::Commands

  desc 'Manage MQ Subscription'

  mk_resource_methods
end
